openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/TRM_PROPOSAL_POOL_PROCESSING:
    post:
      tags:
      - STQE
      summary: 'R/3 Proposal Pool: Maintenance'
      operationId: /rfc/TRM_PROPOSAL_POOL_PROCESSING
      requestBody:
        content:
          application/json:
            schema:
              properties:
                FI_APPLID_SOURCE:
                  type: string
                  default: ' '
                  maxLength: 2
                FI_AS_WINDOW_FLAG:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                FI_END_COL:
                  type: integer
                  format: int32
                  default: 80
                  description: Single-Character Flag
                FI_END_ROW:
                  type: integer
                  format: int32
                  default: 24
                  description: Single-Character Flag
                FI_HASHCNFL_SOURCE:
                  type: integer
                  format: int64
                  default: 1
                FI_HASH_SOURCE:
                  type: string
                  maxLength: 20
                FI_LANGUAGE_SOURCE:
                  type: string
                  default: D
                  maxLength: 1
                FI_LANGUAGE_TARGET:
                  type: string
                  default: E
                  maxLength: 1
                FI_LENGTH_MAX:
                  type: integer
                  format: int64
                  default: 255
                FI_SE63:
                  type: string
                  default: ' '
                  maxLength: 1
                FI_SEQUEN:
                  type: string
                  default: ' '
                  maxLength: 1
                FI_SEQUENTIAL_FLAG:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                FI_START_COL:
                  type: integer
                  format: int32
                  default: 20
                  description: Single-Character Flag
                FI_START_ROW:
                  type: integer
                  format: int32
                  default: 1
                  description: Single-Character Flag
                FI_STATUS:
                  type: string
                  default: ' '
                  maxLength: 1
                FI_STMP:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                FI_TABID_SOURCE:
                  type: integer
                  format: int64
                  default: 1
                FI_TEXT_SOURCE:
                  type: string
                  default: ' '
                  maxLength: 255
                  description: Text, 255 Characters
              required:
              - FI_HASH_SOURCE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  FE_CANCELLED_FLAG:
                    type: string
                    maxLength: 1
                    description: Text, 255 Characters
                  FE_EXCEPTION_FLAG:
                    type: string
                    maxLength: 1
                    description: Text, 255 Characters
                  FE_NEW_VARIANT_FLAG:
                    type: string
                    maxLength: 1
                    description: Text, 255 Characters
                  FE_NO_SELECTION_FLAG:
                    type: string
                    maxLength: 1
                    description: Text, 255 Characters
                  FE_PROCESSED_FLAG:
                    type: string
                    maxLength: 1
                    description: Text, 255 Characters
                  FE_REFERENCED_APPLICATION:
                    type: string
                    maxLength: 2
                    description: Text, 255 Characters
                  FE_REFERENCED_TEXT:
                    type: string
                    maxLength: 255
                    description: Text, 255 Characters
                  FE_SELECTED_TEXT:
                    type: string
                    maxLength: 255
                    description: Text, 255 Characters
                  FE_UCOMM:
                    type: string
                    maxLength: 70
                    description: Text, 255 Characters
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
